Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg
Class SimpleDiagramRenderer

    java.lang.Object
      org.newdawn.slick.svg.SimpleDiagramRenderer

    public class SimpleDiagramRenderer

extends java.lang.Object

A very primtive implementation for rendering a diagram. This simply sticks the shapes on the screen in the right fill and stroke colours

Author:
  kevin

Field Summary
`Diagram` | `diagram` The diagram to be rendered
`protected static SGL` | `GL` The renderer to use for all GL operations
`int` | `list` The display list representing the diagram

Constructor Summary
`SimpleDiagramRenderer(Diagram diagram)` Create a new simple renderer

Method Summary
`void` | `render(Graphics g)` Render the diagram to the given graphics context
`static void` | `render(Graphics g, Diagram diagram)` Utility method to render a diagram in immediate mode

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL

    protected static SGL GL

  The renderer to use for all GL operations

### diagram

    public Diagram diagram

  The diagram to be rendered

### list

    public int list

  The display list representing the diagram

Constructor Detail

### SimpleDiagramRenderer

    public SimpleDiagramRenderer(Diagram diagram)

  Create a new simple renderer

  Parameters:
    `diagram` - The diagram to be rendered

Method Detail

### render

    public void render(Graphics g)

  Render the diagram to the given graphics context

  Parameters:
    `g` - The graphics context to which we should render the diagram

### render

    public static void render(Graphics g,
                              Diagram diagram)

  Utility method to render a diagram in immediate mode

  Parameters:
    `g` - The graphics context to render to
    `diagram` - The diagram to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.